Bug 192872 - security/hs-SHA fails in configure
Summary: security/hs-SHA fails in configure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-haskell mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-21 02:08 UTC by ahktenzero+freebsd
Modified: 2014-08-25 18:33 UTC (History)
1 user (show)

See Also:


Attachments
Poudriere log from failed build (10.30 KB, text/x-log)
2014-08-21 02:08 UTC, ahktenzero+freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ahktenzero+freebsd 2014-08-21 02:08:02 UTC
Created attachment 146099 [details]
Poudriere log from failed build

Port fails in the configure phase due to missing dependencies with the "EXE" option enabled. A full log showing the failure is attached. I tried adding the missing depencencies to the Makefile but that didn't fix the problem. It looks like the flag for building the executables has been split out from the one for running tests in the current version, the diff below fixes the build:

 --- /usr/ports/security/hs-SHA/Makefile 2014-08-10 23:34:50.000000000 +0100
+++ Makefile    2014-08-21 02:46:49.341887962 +0100
@@ -12,7 +12,7 @@
 FLAGS_DEFINE=          EXE

 EXE_DESC=              Build a SHA2-384 executable similar to 'md5sum'
-EXE_FLAG_ENABLE=       Test
+EXE_FLAG_ENABLE=       exe
 EXE_FLAG_EXECUTABLE=   sha1 sha384

 .include "${.CURDIR}/../../lang/ghc/bsd.cabal.mk"
Comment 1 John Marino freebsd_committer 2014-08-21 09:08:34 UTC
correct category in title and assign to maintainer
Comment 2 commit-hook freebsd_committer 2014-08-25 18:14:39 UTC
A commit references this bug:

Author: pgj
Date: Mon Aug 25 18:14:08 UTC 2014
New revision: 366117
URL: http://svnweb.freebsd.org/changeset/ports/366117

Log:
  - Fix configure with the EXE option enabled

  PR:		192872
  Submitted by:	ahktenzero+freebsd@mohorovi.cc
  Obtained from:	FreeBSD Haskell

Changes:
  head/security/hs-SHA/Makefile
Comment 3 Gabor Pali freebsd_committer 2014-08-25 18:33:54 UTC
Thank you for your submission, the patch has been committed with a minor modification.